Package org.jboss.resteasy.utils

## Class TestManagementClient

- java.lang.Object
- - org.jboss.as.controller.client.helpers.DelegatingModelControllerClient
  - - org.jboss.resteasy.utils.TestManagementClient

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `org.jboss.as.controller.client.ModelControllerClient`

      public class TestManagementClient
      extends org.jboss.as.controller.client.helpers.DelegatingModelControllerClient

  A simple management client which exposes the configuration used to create the client.
  Author:
    James R. Perkins

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.as.controller.client.helpers.DelegatingModelControllerClient

      `org.jboss.as.controller.client.helpers.DelegatingModelControllerClient.DelegateProvider`

    - ### Nested classes/interfaces inherited from interface org.jboss.as.controller.client.ModelControllerClient

      `org.jboss.as.controller.client.ModelControllerClient.Factory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TestManagementClient` | `create()` | Creates a new management client with the default host and port.
    `static TestManagementClient` | `create​(String hostName, int port)` | Creates a new management client with the host and port provided.
    `org.jboss.as.controller.client.ModelControllerClientConfiguration` | `getConfiguration()` | Gets the configuration used to create the client.

    - ### Methods inherited from class org.jboss.as.controller.client.helpers.DelegatingModelControllerClient

      `close, execute, execute, execute, execute, executeAsync, executeAsync, executeOperation, executeOperationAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.as.controller.client.ModelControllerClient

      `executeAsync, executeAsync`

- - ### Method Detail

    - #### create

          public static TestManagementClient create()

      Creates a new management client with the default host and port.
      Returns:
        a new management client

    - #### create

          public static TestManagementClient create​(String hostName,
                                                    int port)

      Creates a new management client with the host and port provided.
      Parameters:
        `hostName` - the host name
        `port` - the port
      Returns:
        the new management client

    - #### getConfiguration

          public org.jboss.as.controller.client.ModelControllerClientConfiguration getConfiguration()

      Gets the configuration used to create the client.
      Returns:
        the configuration